---------------------------------------------------------------------------------

if not AceLibrary:HasInstance("Waterfall-1.0") then return end

---------------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentWaterfall")
local Waterfall = AceLibrary("Waterfall-1.0")
local Dewdrop = AceLibrary:HasInstance("Dewdrop-2.0") and AceLibrary("Dewdrop-2.0")

---------------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["GUI Configuration"] = true,
	["Opens the Waterfall GUI configuration menu"] = true,
} end)

---------------------------------------------------------------------------------

Assessment.Options.args.waterfall = 
{
	type = "execute",
	name = L["GUI Configuration"],
	desc = L["Opens the Waterfall GUI configuration menu"],
	order = 400,
	func = function() Waterfall:Open("Assessment") if Dewdrop then Dewdrop:Close() end end,
	disabled = function() return Waterfall:IsOpen("Assessment") end,
	guiHidden = true,
}

---------------------------------------------------------------------------------

local AssessmenttWaterfall = AceLibrary("AceAddon-2.0"):new()

function AssessmenttWaterfall:OnInitialize()
	Waterfall:Register("Assessment",
					   "aceOptions", Assessment.Options,
					   "treeType","TREE",
					   "colorR", 0.26, "colorG", 0.41, "colorB", 0.57
					   )
end

---------------------------------------------------------------------------------
